89f9350d9e
- Fix dmraid issue bnc#905746 A dracut_dmraid_use_udev.patch - Taken over from SLE12 A fips_add_aesni-intel.patch - Do not touch /run vs /var/run bnc#922676 D 0106-dracut-Enable-converting-of-directory-var-run-var-lo.patch - Update dracut to version 042 Remove these already included or unneeded patches: D dracut_v041_to_HEAD.patch D 0011-Correct-paths-for-openSUSE.patch D 0068-95fcoe-uefi-Test-for-EFI-firmware.patch D 0170-enable-logitech-hidpp.patch Adjust/refresh: M 0015-40network-replace-dhclient-with-wickedd-dhcp-supplic.patch M 0016-Add-new-s390x-specific-rule-files.patch M 0017-45ifcfg-use-distro-specific-scripts.patch M 0019-40network-Fix-race-condition-when-wait-for-networks.patch M 0020-00warpclock-Set-correct-timezone.patch M 0021-95dcssblk-Add-new-module-for-DCSS-block-devices.patch M 0048-40network-Only-enable-network-interfaces-if-explicit.patch M 0053-01fips-fixup-loading-issues.patch M 0056-81cio_ignore-handle-cio_ignore-commandline.patch M 0057-01fips-Include-some-more-hmacs.patch M 0058-dracut-add-warning-when-including-unsupported-module.patch M 0059-99suse-Add-SUSE-specific-initrd-parsing.patch M 0060-45ifcfg-Add-SUSE-specific-write-ifcfg-file.patch M 0061-45ifcfg-Fixup-error-message-in-write-ifcfg-suse.patch M 0066-40network-always-start-netroot-in-ifup.sh.patch M 0075-95dasd_rules-enable-parsing-of-rd.dasd-commandline-p.patch M 0076-Correctly-set-cio_ignore-for-dynamic-s390-rules.patch OBS-URL: https://build.opensuse.org/request/show/314510 OBS-URL: https://build.opensuse.org/package/show/Base:System/dracut?expand=0&rev=219
65 lines
2.2 KiB
Diff
65 lines
2.2 KiB
Diff
From c4a980a8fa7a2a9d5e25063b0d5b5070e59aa2cc Mon Sep 17 00:00:00 2001
|
|
From: Thomas Renninger <trenn@suse.de>
|
|
Date: Tue, 8 Apr 2014 08:53:59 +0200
|
|
Subject: [PATCH] 95dcssblk: Add new module for DCSS block devices
|
|
|
|
Add s390 dcssblk driver and introduce rd.dcssblk= to pass mounts
|
|
that should get activated at initrd stage.
|
|
|
|
References: FATE#308263
|
|
|
|
Signed-off-by: Hannes Reinecke <hare@suse.de>
|
|
---
|
|
modules.d/95dcssblk/module-setup.sh | 28 ++++++++++++++++++++++++++++
|
|
modules.d/95dcssblk/parse-dcssblk.sh | 8 ++++++++
|
|
2 files changed, 36 insertions(+)
|
|
create mode 100755 modules.d/95dcssblk/module-setup.sh
|
|
create mode 100755 modules.d/95dcssblk/parse-dcssblk.sh
|
|
|
|
Index: dracut-042/modules.d/95dcssblk/module-setup.sh
|
|
===================================================================
|
|
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
|
|
+++ dracut-042/modules.d/95dcssblk/module-setup.sh 2015-06-24 18:02:07.217249953 +0200
|
|
@@ -0,0 +1,28 @@
|
|
+#!/bin/bash
|
|
+# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
|
|
+# ex: ts=8 sw=4 sts=4 et filetype=sh
|
|
+
|
|
+# called by dracut
|
|
+check() {
|
|
+ local _arch=$(uname -m)
|
|
+ [ "$_arch" = "s390" -o "$_arch" = "s390x" ] || return 1
|
|
+ return 0
|
|
+}
|
|
+
|
|
+# called by dracut
|
|
+installkernel() {
|
|
+ if [ -e /sys/devices/dcssblk/*/block/dcssblk* ];then
|
|
+ hostonly='' instmods dcssblk
|
|
+ fi
|
|
+}
|
|
+
|
|
+# called by dracut
|
|
+install() {
|
|
+ inst_hook cmdline 30 "$moddir/parse-dcssblk.sh"
|
|
+ # If there is a config file which contains avail (best only of root device)
|
|
+ # disks to activate add it and use it during boot -> then we do not need
|
|
+ # a kernel param anymore
|
|
+ #if [[ $hostonly ]]; then
|
|
+ # inst /etc/dcssblk.conf
|
|
+ #fi
|
|
+}
|
|
Index: dracut-042/modules.d/95dcssblk/parse-dcssblk.sh
|
|
===================================================================
|
|
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
|
|
+++ dracut-042/modules.d/95dcssblk/parse-dcssblk.sh 2015-06-24 18:02:07.217249953 +0200
|
|
@@ -0,0 +1,8 @@
|
|
+#!/bin/sh
|
|
+# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
|
|
+# ex: ts=8 sw=4 sts=4 et filetype=sh
|
|
+dcssblk_arg=$(getarg rd.dcssblk=)
|
|
+if [ $? == 0 ];then
|
|
+ info "Loading dcssblk segments=$dcssblk_arg"
|
|
+ modprobe dcssblk segments=$dcssblk_arg
|
|
+fi
|